<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload\DNSSource;

use UnexpectedValueException;




class DNSResolutionMethod
{
    


    const SYSTEM = 0;
    


    const GOOGLE = 1;
    


    const HARDCODED = 2;
    


    const OVERRIDE = 3;
    


    const FALLBACK = 4;
    


    const MNS = 5;

    private static $valueToName = [
        self::SYSTEM => 'SYSTEM',
        self::GOOGLE => 'GOOGLE',
        self::HARDCODED => 'HARDCODED',
        self::OVERRIDE => 'OVERRIDE',
        self::FALLBACK => 'FALLBACK',
        self::MNS => 'MNS',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

